% DEMO 
% This is an example file on how the EUPAL program could be used 
% The main function is "EUPAL.m"
% 
% 
% Copyright: 
% 		Zhen-Ru Zhang (zhangzr@seu.edu.cn),
%       Min-Ling Zhang (zhangml@seu.edu.cn)
%  		School of Computer Science and Engineering, Southeast University, Nanjing 211189, China


% Load the base learner
addpath('IPAL');
addpath(['libsvm-3.23' filesep, 'windows']);

% Load the file containing the necessary inputs for calling the EUPAL function
load 'sample_data.mat';
data = zscore(data);
labeled_data = data(tr_label, :);
labeled_target = target(tr_label, :);
unlabeled_data = data(tr_unlabel, :);
test_data = data(test, :);
test_target = target(test,: );

% Set parameters for the EUPAL algorithm
k = 5;
alpha = 0.4;
T=50;

% Call the main functions
[accuracy, pre_label, pre_value] = EUPAL(labeled_data, labeled_target, unlabeled_data, test_data, test_target, k, alpha, T);
disp(accuracy);